######################################################### IBJXodor.make
#
#  Make-File fr IBJXodor unter Watcom-C
#
######### Standard-Pfade fr die einzelnen Programmteile ###############

.exe : .\              # Gelinkter Modul
.obj : c\obj      # Objekt-Module (Compiler-Output)
.h   : c          # Header
.c   : c          # Quell-Texte

C = c
E = .\
O = $(C)\obj
COPT = /DMSDOS /zq /5r /w2 /e25 /mf /otexan /bt#nt
SYS = nt
PGM = IBJplume
SRC = IBJplume
MAIN = MAIN


################## bersetzungs-Vorschrift #############################

.c.obj:
   wcc386 $(COPT) /fo=$(O)\$^&.obj $[@ 

################## Linken des Hauptprogramms ###########################

$(PGM).exe: $(PGM).obj IBJdmn.obj IBJmsg.obj IBJtxt.obj IBJary.obj IBJmth.obj IBJprm.obj IBJqtl.obj IBJstt.obj
  @%write  $(E)\$(PGM).lk1 name $(E)\$(PGM)
  @%append $(E)\$(PGM).lk1 SYS $(SYS)
  @%append $(E)\$(PGM).lk1 option caseexact
  @%append $(E)\$(PGM).lk1 option stack=24k
  @%append $(E)\$(PGM).lk1 option symf
  @%append $(E)\$(PGM).lk1 debug all
  @%append $(E)\$(PGM).lk1 path $(O)
  @%append $(E)\$(PGM).lk1 file $(PGM),IBJmsg,IBJtxt,IBJary,IBJdmn,IBJmth,IBJprm,IBJstt,IBJqtl
  wlink   @$(E)\$(PGM).lk1 

################## Abhngigkeiten der einzelnen Module #################

$(PGM).obj : $(SRC).c $(SRC).h IBJtbl.h IBJmsg.h IBJtxt.h IBJary.h IBJdmn.h IBJmth.h IBJprm.h IBJqtl.h IBJstt.h
   wcc386 $(COPT) -D$(MAIN) /fo=$(O)\$(PGM).obj $[@ 
IBJmsg.obj : IBJmsg.c IBJmsg.h
IBJtxt.obj : IBJtxt.c IBJtxt.h IBJmsg.h
IBJary.obj : IBJary.c IBJary.h IBJmsg.h
IBJdmn.obj : IBJdmn.c IBJdmn.h IBJtxt.h IBJmsg.h IBJary.h 
IBJmth.obj : IBJmth.c IBJmth.h IBJmsg.h
IBJqtl.obj : IBJqtl.c IBJqtl.h IBJmsg.h IBJary.h
IBJprm.obj : IBJprm.c IBJprm.h IBJmsg.h IBJtbl.h
IBJstt.obj : IBJstt.c IBJstt.h IBJmsg.h IBJtbl.h
IBJtbl.h   : $(C)\IBJplume.parameter IBJheader.exe
  IBJheader c IBJplume.parameter
IBJheader.exe : IBJhdr.c IBJprm.h
  wcl386 $(COPT) /fo=$(E)\IBJheader /fe=$(E)\IBJheader $[@

########################################################################
